﻿using System;
using System.Net.Sockets;

namespace SpeedTestDll
{
    public class StateObject
    {
        public Socket workSocket = null;
        public int inBufferSize;
        public int outBufferSize;
        public byte[] inBuffer;
        public DateTime timeStamp;
        public int expecting = 0;
        public int received = 0;
        public long connTime = 0;

        public StateObject(int inBuff, int outBuff)
        {
            inBufferSize = inBuff;
            outBufferSize = outBuff;
        
            inBuffer = new byte[inBufferSize];
        }

        public void ResetBuffers()
        {
            inBuffer = new byte[inBufferSize];
        }
    }
}
